### Method

# Gtk CellRenderer get_preferred_size

#### Declaration [src]

    void
    gtk_cell_renderer_get_preferred_size (
      GtkCellRenderer* cell,
      GtkWidget* widget,
      GtkRequisition* minimum_size,
      GtkRequisition* natural_size
    )

#### Description [src]

Retrieves the minimum and natural size of a cell taking into account the widget’s preference for height-for-width management.

#### Parameters

`widget` | `GtkWidget`
| The `GtkWidget` this cell will be rendering to.
| The data is owned by the caller of the function.
`minimum_size` | `GtkRequisition`
| Location for storing the minimum size.
| The argument will be set by the function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`natural_size` | `GtkRequisition`
| Location for storing the natural size.
| The argument will be set by the function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.